## libksane 25.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(KSane VERSION ${RELEASE_SERVICE_VERSION})

message(STATUS "-------------------------------------------")
message(STATUS "Starting CMake configuration for: libksane")

set(QT_REQUIRED_VERSION "6.4.0")
set(KF_MIN_VERSION "6.0.0")

# ECM setup (Extended Cmake Modules)
include(FeatureSummary)
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
# ECM setup2 and include find same cmake module (copied from /usr/share/kde4/apps/cmake/modules/FindSane.cmake)
set(CMAKE_MODULE_PATH ${KSane_SOURCE_DIR}/cmake-modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(ECMGenerateExportHeader)
include(ECMQtDeclareLoggingCategory)

set(KSANEWIDGETS_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KSaneWidgets6")
set(KSANEWIDGETS_CMAKECONFIG_NAME "KSaneWidgets6")
set(LIBRARYFILE_NAME "KSaneWidgets6")
set(TARGET_EXPORT_NAME "KSaneWidgets6")
set(TARGET_EXPORT_NAMESPACE_NAME "")
set(SOVERSION 6)
set(KSANECORE_NAME "KSaneCore6")
set(KSANECORE_TARGET "KSane6::Core")

set(ksane_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/ksane_version.h")
ecm_setup_version(
  ${RELEASE_SERVICE_VERSION}
  VARIABLE_PREFIX KSANE
  VERSION_HEADER "${ksane_version_header}"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/${KSANEWIDGETS_CMAKECONFIG_NAME}ConfigVersion.cmake"
  SOVERSION ${SOVERSION}
)
# Dependencies
find_package(Qt6 ${QT_REQUIRED_VERSION} NO_MODULE REQUIRED Core Widgets)

# Required KDE Frameworks
find_package(KF6I18n ${KF_MIN_VERSION} REQUIRED)

if (NOT WIN32)
    find_package(KF6WidgetsAddons ${KF_MIN_VERSION} REQUIRED)
    find_package(KF6TextWidgets ${KF_MIN_VERSION} REQUIRED)

    # Optional KDE Frameworks
    find_package(KF6Wallet ${KF_MIN_VERSION})
    set_package_properties(KF6Wallet PROPERTIES DESCRIPTION "Safe desktop-wide storage for passwords" TYPE OPTIONAL
        PURPOSE "Required to have permanent storage of passwords for scanners"
    )

    # Check if sane API is available.
    find_package(${KSANECORE_NAME} "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}" REQUIRED)
    add_subdirectory(src)
    if (BUILD_TESTING)
        add_subdirectory(autotests)
        add_subdirectory(tests)
    endif()
else ()
    add_subdirectory(ksanetwain)
endif()

add_definitions(
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_KEYWORDS
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DQT_STRICT_ITERATORS
)
add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F02
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/${KSANEWIDGETS_CMAKECONFIG_NAME}")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KFSaneConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/${KSANEWIDGETS_CMAKECONFIG_NAME}Config.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/${KSANEWIDGETS_CMAKECONFIG_NAME}Config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/${KSANEWIDGETS_CMAKECONFIG_NAME}ConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KSaneWidgetsTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE ${KSANEWIDGETS_CMAKECONFIG_NAME}Targets.cmake
  NAMESPACE ${TARGET_EXPORT_NAMESPACE_NAME}
)

install(FILES
  "${ksane_version_header}"
  DESTINATION ${KSANEWIDGETS_INSTALL_INCLUDEDIR}
  COMPONENT Devel
)

ki18n_install(po)

# =======================================================

# To prevent warnings from M$ compiler
IF(WIN32 AND MSVC)
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
    ADD_DEFINITIONS(-D_ATL_SECURE_NO_WARNINGS)
    ADD_DEFINITIONS(-D_AFX_SECURE_NO_WARNINGS)
ENDIF(WIN32 AND MSVC)

# =======================================================

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libksane (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:16:45 +0000

=== debian/control ===
Source: libksane
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6i18n-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6wallet-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libksanecore-dev (>= 25.12.1~),
               libsane-dev,
               libx11-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/graphics/libksane
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane

Package: libksane-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Breaks: libkf5sane-data,
Replaces: libkf5sane-data,
Description: scanner library (data files)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains data files used by the library.

Package: libksane-dev
Section: libdevel
Architecture: any
Depends: libksanewidgets6-6 (= ${binary:Version}),
         qt6-base-dev (>= 6.4.0~),
         ${misc:Depends},
Multi-Arch: same
Description: scanner library development headers
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the scanner library development files.

Package: libksanewidgets6-6
Architecture: any
Multi-Arch: same
Depends: libksane-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: scanner library (runtime)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the shared library.

## libksane 25.12.1+p24.04+vstable+git20260129.0112

=== debian/changelog ===
libksane (25.12.1+p24.04+vstable+git20260129.0112-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:12:19 +0000

libksane (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:23:01 +1000

## libksane 25.12.1+p24.04+vstable+git20260131.0247

=== debian/changelog ===
libksane (25.12.1+p24.04+vstable+git20260131.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:47:07 +0000

## libksane 25.12.1+p24.04+vunstable+git20260106.1514

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSane VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
libksane (25.12.1+p24.04+vunstable+git20260106.1514-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 15:14:45 +0000

## libksane 25.12.2

=== debian/changelog ===
libksane (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:31:18 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6textwidgets-dev (>= 5.240.0~),
                libkf6wallet-dev (>= 5.240.0~),
                libkf6widgetsaddons-dev (>= 5.240.0~),
-               libksanecore-dev (>= 25.12.1~),
+               libksanecore-dev (>= 25.12.2~),
                libsane-dev,
                libx11-dev,
                libxkbcommon-dev,

## libksane 25.12.2+p24.04+vstable+git20260207.0539

=== debian/changelog ===
libksane (25.12.2+p24.04+vstable+git20260207.0539-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 05:39:16 +0000

libksane (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:32:48 +0000
